import { ref } from "vue"

// 激活主题色：dark, light
export const activedTheme = ref('light')

// UI配置
export default {
  // 定义项目配色主色
  colors: {
    // 亮色主题 ===================
    // 主色
    primary: '#ffcc00', // 主色
    primaryHover: '#005600',  // 主色鼠标移上色
    primaryPressed: '#0056b3',  // 主色按下色
    primaryActivated: '#003a8c',  // 主色激活色
    primaryDisable: '#005600',  // 主色禁用色
    // 背景色
    themeBg1: '#ffffff',  // 背景色
    themeBg2: '#f5f5f5',  // 比上面浅一点
    themeBg3: '#eeeeee',  // 比上面浅一点
    themeBg4: '#dddddd',  // 比上面浅一点
    themeBg5: '#eeeeee',  // 比上面浅一点
    // 文字色
    themeText1: '#000000',  // 正常文字
    themeText2: '#333333',  // 比上面浅一点
    themeText3: '#666666',  // 比上面浅一点
    themeText4: '#999999',  // 比上面浅一点
    themeText5: '#eeeeee',  // 比上面浅一点

    // 深色主题 ===================
    // 主色
    darkPrimary: '#ffcc66', // 主色
    darkPrimaryHover: '#005600',  // 主色鼠标移上色
    darkPrimaryPressed: '#0056b3',  // 主色按下色
    darkPrimaryActivated: '#003a8c',  // 主色激活色
    darkPrimaryDisable: '#005600',  // 主色禁用色
    // 背景色
    darkThemeBg1: '#000000',  // 背景色
    darkThemeBg2: '#111111',  // 比上面浅一点
    darkThemeBg3: '#222222',  // 比上面浅一点
    darkThemeBg4: '#333333',  // 比上面浅一点
    darkThemeBg5: '#222222',  // 比上面浅一点
    // 文字色
    darkThemeText1: '#ffffff',  // 正常文字
    darkThemeText2: '#eeeeee',  // 比上面浅一点
    darkThemeText3: '#dddddd',  // 比上面浅一点
    darkThemeText4: '#999999',  // 比上面浅一点
    darkThemeText5: '#666666',  // 比上面浅一点
  },
  // 定义间距
  spacing: {
    xxs: '4px',
    xs: '8px',
    sm: '12px',
    md: '18px',
    lg: '24px',
    xl: '32px',
    x2l: '48px',
    x3l: '64px',
    x4l: '80px',
    x5l: '96px',
    x6l: '120px',
    x7l: '150px',
    x8l: '180px',
    x9l: '210px',
  },
  // 定义圆角
  borderRadius: {
    xs: '2px',
    sm: '4px',
    md: '8px',
    lg: '12px',
    xl: '16px',
  },
  // 定义圆角宽
  borderWidth: {
    xs: '1px',
    sm: '2px',
    md: '3px',
    lg: '4px',
    xl: '5px',
  },
  
}